<?php
/**
 * Configure group tool presets
 *
 * @uses $vars['group_tool_presets'] the current group tool presets (if any)
 */

// load js
elgg_require_js('forms/group_tools/group_tool_presets');

$presets = elgg_extract('group_tool_presets', $vars);
$group_tools = elgg()->group_tools->all();

// list existing
if (!empty($presets)) {

	foreach ($presets as $index => $values) {
		echo '<div class="group-tools-group-preset-wrapper">';
		echo '<div class="float-alt">';
		echo elgg_view('output/url', [
			'href' => false,
			'class' => ['group-tools-admin-edit-tool-preset', 'mrm'],
			'text' => elgg_echo('edit'),
			'icon' => 'edit',
		]);
		echo elgg_view('output/url', [
			'href' => false,
			'class' => 'group-tools-admin-delete-tool-preset',
			'text' => elgg_echo('delete'),
			'icon' => 'delete',
		]);
		echo '</div>';
		echo '<label rel="title">' . elgg_extract('title', $values) . '</label><br />'; // title
		echo '<div class="elgg-output elgg-quiet" rel="description">' . elgg_extract('description', $values) . '</div>'; // description
		echo '<div class="hidden" rel="edit">'; // edit part
		
		echo elgg_view_field([
			'#type' => 'text',
			'#label' => elgg_echo('title'),
			'name' => "params[{$index}][title]",
			'value' => elgg_extract('title', $values),
			'class' => 'group-tools-admin-change-tool-preset-title',
		]);
		
		echo elgg_view_field([
			'#type' => 'plaintext',
			'#label' => elgg_echo('description'),
			'name' => "params[{$index}][description]",
			'value' => elgg_extract('description', $values),
			'class' => 'group-tools-admin-change-tool-preset-description',
		]);
		
		/* @var $group_tool \Elgg\Groups\Tool */
		foreach ($group_tools as $group_tool) {
			$metadata_name = $group_tool->mapMetadataName();
			
			echo elgg_view('group_tools/elements/group_tool', [
				'group_tool' => $group_tool,
				'value' => elgg_extract($metadata_name, $values['tools']),
				'name' => "params[{$index}][tools][{$metadata_name}]",
				'class' => 'mbs',
			]);
		}
		echo '</div>'; // end edit part
		echo '</div>';
	}
}

// hidden wrapper for clone
echo '<div id="group-tools-tool-preset-base" class="hidden">';
echo '<div class="float-alt">';
echo elgg_view('output/url', [
	'href' => false,
	'class' => ['group-tools-admin-edit-tool-preset', 'mrm'],
	'text' => elgg_echo('edit'),
	'icon' => 'edit',
]);
echo elgg_view('output/url', [
	'href' => false,
	'class' => 'group-tools-admin-delete-tool-preset',
	'text' => elgg_echo('delete'),
	'icon' => 'delete',
]);
echo '</div>';
echo '<label rel="title">' . elgg_echo('title') . '</label><br />'; // title
echo '<div class="elgg-output elgg-quiet" rel="description">' . elgg_echo('description') . '</div>'; // description
echo '<div class="hidden">'; // edit part

echo elgg_view_field([
	'#type' => 'text',
	'#label' => elgg_echo('title'),
	'name' => 'params[i][title]',
	'class' => 'group-tools-admin-change-tool-preset-title',
]);

echo elgg_view_field([
	'#type' => 'plaintext',
	'#label' => elgg_echo('description'),
	'name' => 'params[i][description]',
	'class' => 'group-tools-admin-change-tool-preset-description',
	'rows' => 2,
]);

foreach ($group_tools as $group_tool) {
	$group_tool_toggle_name = "params[i][tools][{$group_tool->name}_enable]";

	echo elgg_view('group_tools/elements/group_tool', [
		'group_tool' => $group_tool,
		'value' => 'no',
		'name' => $group_tool_toggle_name,
		'class' => 'mbs',
	]);
}
echo '</div>'; // end edit part
echo '</div>';

// save button
$footer = elgg_view('input/submit', ['value' => elgg_echo('save')]);
elgg_set_form_footer($footer);
